% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/detection.R
\name{detectionPnegNormTotal}
\alias{detectionPnegNormTotal}
\title{Detection P-value based on normal fitting the negative controls,
channels are first summed}
\usage{
detectionPnegNormTotal(sset, force = FALSE)
}
\arguments{
\item{sset}{a \code{SigSet}}

\item{force}{force rerun even if result already exists}
}
\value{
detection p-value
}
\description{
The function takes a \code{SigSet} as input, computes detection p-value
using negative control probes parametrized in a normal distribution with
the two channels summed first and returns a new \code{SigSet} with an
updated pval slot. The SD is summed to emulate the SD of the summed
signal (not the most accurate treatment).
}
\examples{
sset <- makeExampleSeSAMeDataSet()
sset <- detectionPnegNormTotal(sset)

}
