% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/channel_inference.R
\name{inferTypeIChannel}
\alias{inferTypeIChannel}
\title{Infer and reset color channel for Type-I probes instead of
using what is specified in manifest. The results are stored to
sset@extra$IGG and sset@extra$IRR slot.}
\usage{
inferTypeIChannel(
  sset,
  switch_failed = FALSE,
  verbose = FALSE,
  summary = FALSE
)
}
\arguments{
\item{sset}{a \code{SigSet}}

\item{switch_failed}{whether to switch failed probes (default to FALSE)}

\item{verbose}{whether to print correction summary}

\item{summary}{return summarized numbers only.}
}
\value{
a \code{SigSet}, or numerics if summary == TRUE
}
\description{
IGG => Type-I green that is inferred to be green
IRR => Type-I red that is inferred to be red
}
\examples{

sset <- sesameDataGet('EPIC.1.LNCaP')$sset
inferTypeIChannel(sset)

}
